#if !defined(AFX_MEDIT_H__B9FBE3B9_36DD_44BA_A075_94C0ACF77A05__INCLUDED_)
#define AFX_MEDIT_H__B9FBE3B9_36DD_44BA_A075_94C0ACF77A05__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Medit.h : header file
//
#pragma warning(disable:4786)
#include "ImprovedEdit.h"

/////////////////////////////////////////////////////////////////////////////
// Medit dialog

class Medit : public CPropertyPage
{
	DECLARE_DYNCREATE(Medit)

// Construction
public:
	void disable_medit(int all);
	int LoadMedit();
	Medit();
	~Medit();

// Dialog Data
	//{{AFX_DATA(Medit)
	enum { IDD = IDD_MOBEDIT };
	ImprovedEdit	e_short_desc;
	ImprovedEdit	e_long_desc;
	ImprovedEdit	e_detail_desc;
	ImprovedEdit	e_alias;
	CButton	m_num;
	int		m_ac;
	CString	m_alias;
	int		m_align;
	int		m_attack_type;
	int		m_attack_dice;
	CString	m_attack_range;
	int		m_attack_size;
	int		m_cha;
	int		m_con;
	int		m_damroll;
	CString	m_detail_desc;
	int		m_dex;
	int		m_sex;
	int		m_hit_dice;
	CString	m_hit_range;
	int		m_hit_size;
	int		m_hitroll;
	int		m_int;
	int		m_level;
	CString	m_long_desc;
	int		m_mana_dice;
	CString	m_mana_range;
	int		m_mana_size;
	int		m_move_dice;
	CString	m_move_range;
	int		m_move_size;
	CString	m_short_desc;
	int		m_str;
	int		m_wis;
	int		m_default_pos;
	int		m_exp;
	int		m_gold;
	int		m_load_pos;
	int		m_mana_bonus;
	int		m_move_bonus;
	int		m_hit_bonus;
	int		m_stradd;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Medit)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(Medit)
	afx_msg void OnMobNumber();
	afx_msg void OnPrevMob();
	afx_msg void OnNextMob();
	afx_msg void OnPrevMobz();
	afx_msg void OnNextMobz();
	afx_msg void OnChangeMobAlias();
	afx_msg void OnChangeMobShortd();
	afx_msg void OnChangeMobLongd();
	afx_msg void OnChangeMobDetd();
	afx_msg void OnChangeMobHitDice();
	afx_msg void OnChangeMobHitSize();
	afx_msg void OnChangeMobHitBonus();
	afx_msg void OnChangeMobGold();
	afx_msg void OnChangeMobExperience();
	afx_msg void OnChangeMobAlignment();
	afx_msg void OnChangeMobStr();
	afx_msg void OnChangeMobInt();
	afx_msg void OnChangeMobWis();
	afx_msg void OnChangeMobDex();
	afx_msg void OnChangeMobCha();
	afx_msg void OnChangeMobCon();
	afx_msg void OnChangeMobStradd();
	afx_msg void OnEditchangeMobGender();
	afx_msg void OnEditchangeMobLoadPos();
	afx_msg void OnEditchangeMobDefaultPos();
	afx_msg void OnChangeMobAttackSize();
	afx_msg void OnChangeMobAttackDice();
	afx_msg void OnEditchangeMobAttack();
	afx_msg void OnChangeMobHitroll();
	afx_msg void OnChangeMobLevel();
	afx_msg void OnChangeMobDamroll();
	afx_msg void OnChangeMobAc();
	afx_msg void OnMobNpcf();
	afx_msg void OnMobAff();
	afx_msg void OnMobSavezone();
	afx_msg void OnMobNew();
	afx_msg void OnMobDelete();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MEDIT_H__B9FBE3B9_36DD_44BA_A075_94C0ACF77A05__INCLUDED_)
