/*
		DirQuery.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/ 

#include "stdafx.h"
#include "Cbreak.h"
#include "DirQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DirQuery dialog


DirQuery::DirQuery(int def, CWnd* pParent /*=NULL*/)
	: CDialog(DirQuery::IDD, pParent)
{
	//{{AFX_DATA_INIT(DirQuery)
	m_dir = 0;
	//}}AFX_DATA_INIT
	value = def;
}


void DirQuery::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DirQuery)
	DDX_CBIndex(pDX, IDC_QUERY_DIR, m_dir);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DirQuery, CDialog)
	//{{AFX_MSG_MAP(DirQuery)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DirQuery message handlers

void DirQuery::OnOK() 
{
	UpdateData(TRUE);
    value = m_dir;	
	CDialog::OnOK();
}
